db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kasuni Hemasika <kasunihemas...@gmail.com>
Subject Re: [Apache Derby 10.10.2.0 Build Failed]
Date Mon, 03 Jul 2017 20:16:28 GMT
Hi Rick,

I used the same documentation to do a simple build using Ant. I had JDK 8.
However when I reinstalled JDK 8 the build was successful. I was trying to
build the source code in order to fix a bug which affected 10.10.2.0
version. Thank you very much for the help.

Kasuni

On 4 July 2017 at 01:35, Rick Hillegas <rick.hillegas@gmail.com> wrote:

> On 7/3/17 11:39 AM, Kasuni Hemasika wrote:
>
> Hello,
>
> When I tried building the source code using these commands with ant
>  1.10.1.
>
> *ant -quiet clobber
> ant -quiet buildsource*
>
>  After the second command build failed and following errors occurred. The
> screenshot is attached below.
>
>
>
> Hi Kasuni,
>
> It looks to me as though you are trying to build Derby using JDK 9. To
> build the development trunk (or the 10.13 branch), you must use JDK 8 as
> described here: http://svn.apache.org/viewvc/db/derby/code/trunk/BUILDING.
> html?view=co
>
> I'm a bit confused about the subject line of this email thread. Are you
> really trying to build the 10.10 branch? I recommend that you do your work
> in the development trunk or in the 10.13 branch.
>
> Hope this helps,
>
> -Rick
>

Mime
View raw message